# SPDX-FileCopyrightText: Emery Hemingway
#
# SPDX-License-Identifier: LicenseRef-Hippocratic-1.1

{ stdenvNoCC, lib, fetchgit }:

stdenvNoCC.mkDerivation {
  name = "dhall-prelude";
  version = " 11.0.0";

  src = fetchgit {
    url = "https://github.com/dhall-lang/dhall-lang";
    rev = "8098184d17c3aecc82674a7b874077a7641be05a";
    sha256 = "0rdvyxq7mvas82wsfzzpk6imzm8ax4q58l522mx0ks69pacpr3yi";
  };

  phases = [ "unpackPhase" "installPhase" ];

  installPhase = ''
    cp -r Prelude $out
  '';

  meta = {
    license = lib.licenses.bsd3;
    maintainers = with lib.maintainers; [ ehmry ];
  };
}
