# SPDX-FileCopyrightText: Emery Hemingway
#
# SPDX-License-Identifier: LicenseRef-Hippocratic-1.1

{ stdenvNoCC, depot }:

let stdenv = stdenvNoCC;

in stdenv.mkDerivation {
  pname = "libc";
  version = "12.0.0";
  outputs = [ "out" "dev" ];

  dontUnpack = true;
  dontConfigure = true;
  dontBuild = true;

  installPhase = ''
    cp -r ${depot.libc} $out
    mkdir -p $dev/lib/pkgconfig
    substituteAll ${./libc.pc} libc.pc
    substituteAll ${./libm.pc} libm.pc
    install -Dt $dev/lib/pkgconfig *.pc
  '';
}
